Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Sohn2018-08-19 20:36:50 +0000
committerMatthias Sohn2018-08-20 21:37:04 +0000
commite2be982161dce7f665e6276def535109fe9e7bfd (patch)
tree5cfb66aee291b588d11e8d60c52598ff2e402f47 /org.eclipse.egit.mylyn.ui
parentf4637ead87f322a2d65890f9b109cfc2cff576ea (diff)
downloadegit-e2be982161dce7f665e6276def535109fe9e7bfd.tar.gz
egit-e2be982161dce7f665e6276def535109fe9e7bfd.tar.xz
egit-e2be982161dce7f665e6276def535109fe9e7bfd.zip
Organize OSGi manifests
- ensure all packages appear in manifest - mark internal packages - calculate 'uses' directives for public packages - remove unused dependencies - add required dependencies - remove unnecessary lazy activation headers Change-Id: I308e0b1f380fbc02a64f1c94ea13388c70baa93b Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
Diffstat (limited to 'org.eclipse.egit.mylyn.ui')
-rw-r--r--org.eclipse.egit.mylyn.ui/META-INF/MANIFEST.MF11
1 files changed, 3 insertions, 8 deletions
diff --git a/org.eclipse.egit.mylyn.ui/META-INF/MANIFEST.MF b/org.eclipse.egit.mylyn.ui/META-INF/MANIFEST.MF
index 53f44dc87e..d7789024bb 100644
--- a/org.eclipse.egit.mylyn.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.egit.mylyn.ui/META-INF/MANIFEST.MF
@@ -6,22 +6,16 @@ Bundle-SymbolicName: org.eclipse.egit.mylyn.ui;singleton:=true
Bundle-Version: 5.1.0.qualifier
Bundle-Activator: org.eclipse.egit.internal.mylyn.ui.EGitMylynUI
Bundle-Vendor: %Bundle-Vendor
-Require-Bundle: org.eclipse.team.core,
- org.eclipse.jface,
+Require-Bundle: org.eclipse.jface,
org.eclipse.core.resources,
org.eclipse.core.runtime,
- org.eclipse.ui.navigator.resources,
org.eclipse.ui.workbench,
- org.eclipse.mylyn.monitor.core;bundle-version="[3.0.0,4.0.0)",
org.eclipse.mylyn.tasks.core;bundle-version="[3.0.0,4.0.0)",
org.eclipse.mylyn.tasks.ui;bundle-version="[3.0.0,4.0.0)",
org.eclipse.mylyn.team.ui;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.mylyn.resources.ui;bundle-version="[3.0.0,4.0.0)",
org.eclipse.mylyn.context.core;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.ui.workbench.texteditor,
org.eclipse.jface.text,
- org.eclipse.ui.forms,
- org.eclipse.egit.ui;bundle-version="[5.1.0,5.2.0)"
+ org.eclipse.team.core
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
@@ -31,6 +25,7 @@ Import-Package: org.eclipse.egit.core;version="[5.1.0,5.2.0)",
org.eclipse.egit.core.synchronize;version="[5.1.0,5.2.0)",
org.eclipse.egit.ui;version="[5.1.0,5.2.0)",
org.eclipse.egit.ui.internal.commit;version="[5.1.0,5.2.0)",
+ org.eclipse.egit.ui.internal.staging;version="[5.1.0,5.2.0)",
org.eclipse.egit.ui.internal.synchronize.model;version="[5.1.0,5.2.0)",
org.eclipse.jgit.errors;version="[5.1.0,5.2.0)",
org.eclipse.jgit.lib;version="[5.1.0,5.2.0)",

Back to the top